## Variables

variable "tags" {
  type    = map(string)
  default = {}
}

variable "cidr_block" {
  type    = string
  default = ""
}

variable "enable_dns_support" {
  type    = bool
  default = true
}

variable "enable_dns_hostnames" {
  type    = bool
  default = true
}

variable "public_subnet_az" {
  type    = list(string)
  default = [""]
}

variable "public_subnet_cidr" {
  type    = list(string)
  default = [""]
}

variable "private_subnet_az" {
  type    = string
  default = ""
}

variable "private_subnet_cidr" {
  type    = string
  default = ""
}
