## Outputs

output "vpc_id" {
  value = module.vpc.vpc_id
}

output "public_subnet_id" {
  value = module.vpc.public_subnet_id
}

output "private_subnet_id" {
  value = module.vpc.private_subnet_id
}

output "alb_security_group_id" {
  value = module.ec2.alb_security_group_id
}

output "ec2_security_group_id" {
  value = module.ec2.ec2_security_group_id
}

output "alb_arn" {
  value = module.ec2.alb_arn
}

output "alb_dns_name" {
  value = module.ec2.alb_dns_name
}

output "autoscaling_group_arn" {
  value = module.ec2.autoscaling_group_arn
}
