## Variables

variable "region" {
  type    = string
  default = ""
}

variable "tags" {
  type    = map(string)
  default = {}
}

variable "cidr_block" {
  type    = string
  default = ""
}

variable "public_subnet_az" {
  type    = list(string)
  default = [""]
}

variable "public_subnet_cidr" {
  type    = list(string)
  default = [""]
}

variable "private_subnet_az" {
  type    = string
  default = ""
}

variable "private_subnet_cidr" {
  type    = string
  default = ""
}

variable "ingress_alb_sg_rule" {
  type    = any
  default = {}
}

variable "egress_alb_sg_rule" {
  type    = any
  default = {}
}

variable "ingress_ec2_sg_rule" {
  type    = any
  default = {}
}

variable "egress_ec2_sg_rule" {
  type    = any
  default = {}
}

variable "ec2_launch_template" {
  type    = map(string)
  default = {}
}

variable "ec2_alb_target_group" {
  type    = map(string)
  default = {}
}

variable "alb_ec2" {
  type    = map(string)
  default = {}
}

variable "alb_listener" {
  type    = any
  default = {}
}

variable "ec2_autoscaling_group" {
  type    = map(string)
  default = {}
}
